unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Chart1: TChart;
    Series2: TFastLineSeries;
    Series1: TFastLineSeries;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
  for i:=0 to 360 do
    if i mod 30=0 then  //dane podawane co 30 stopni
    begin
      Series1.AddXY(i,sin(i*Pi/180) );
      Series2.AddXY(i,cos(i*Pi/180) );
    end;

end;

end.
